/** ANTIGO **/
.middle-form-wrapper
{
    display: flex;
    justify-content: center;
}

/* FORMULÁRIOS */
.box
{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form-box
{
    border-radius: 5px;
    overflow: hidden;
    height: 90dvh;
    width: 55dvw;

    display: flex;

    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);

    background: #ddd;
}

.form-box.collums
{
    align-items: center;
    justify-content: flex-start;
}

.form-collum
{
    width: 50%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;

    background: rgb(221,221,221);
    background: linear-gradient(0deg, rgba(221,221,221,1) 0%, rgba(255,255,255,1) 100%);
}

.form-collum:first-child
{
    background: rgb(64,15,110);
    background: linear-gradient(0deg, rgba(37,7,65,1) 0%, rgba(64,15,110,1) 100%);
    border-right: 1px solid var(--c-red);
}

form
{
    width: 100%;
    padding: 2rem 4rem;
}

.register-info.text-center form, #reg, #per, #addr
{
    padding: 0;
    overflow: hidden;
}

.register-info
{
    width: 100%;
    padding: 3rem 4rem;
}

.mobile-image
{
    display: none;
}

#info-form
{
    overflow-y: auto;
}

.letter.mobile
{
    display: none;
}

/*** MOBILE ***/
@media only screen and (max-width: 768px)
{
    .form-box.collums
    {
        overflow-y: auto;
        flex-direction: column;
    }

    .box
    {
        justify-content: flex-start;
    }

    .form-box
    {
        width: 100dvw;
    }

    .form-collum:first-child
    {
        background: rgb(64, 15, 110);
        background: linear-gradient(0deg, rgba(37, 7, 65, 1) 0%, rgba(64, 15, 110, 1) 100%);
        border-bottom: 2px solid var(--c-red);
        border-right: none;
    }

    .form-collum
    {
        width: 100%;
    }

    .mobile-image
    {
        display: block;
        width: 20%;
    }

    form
    {
        overflow-y: scroll;
    }

    form .d-flex
    {
        flex-direction: column;
    }

    form .d-flex a, form .d-flex button
    {
        margin-bottom: 1rem;
    }

    .register-info
    {
        width: 100%;
        padding: 1rem 1rem;
    }

    .register-info.text-center form, #reg, #per, #addr
    {
        padding: 0;
        overflow: hidden;
    }

    .letter.mobile
    {
        display: block;
    }

    .letter.desktop
    {
        display: none;
    }
}

/* INPUTS */
input.custom, select.custom, textarea.custom
{
    background-color: #e3e3e3;
    border: none;
    padding: 12px 15px;
    margin: 8px 0;
    width: 100%;
    font-size: 0.8rem;
    transition: all 0.3s;

    border-bottom: 1px solid #000;
}

input.custom:focus, select.custom:focus, textarea.custom:focus
{
    outline: none;
    background: #000;
    border-radius: 5px;
    color: #fff;
    transition: all 0.3s;
}

input.custom.required, select.custom.required, textarea.custom.required
{
    border-bottom: 1px solid red;
}

span.required
{
    color: red; 
}

/*** IMAGE ***/
.avatar-upload
{
    position: relative; 
    max-width: 205px;
    margin: 25px auto;
}
  
.avatar-upload .avatar-edit
{  
    position: absolute; 
    right: 12px;
    z-index: 1;
    top: 10px;
}
  
.avatar-upload .avatar-edit input
{  
    opacity: 0;
    height: 1px;
    width: 1px;
    margin-top: -20px; 
}
  
.avatar-upload .avatar-edit input + label
{
    display: block;
    width: 120px;
    height: 30px;
    line-height: 28px;
    margin-bottom: 0;
    border-radius: 30px;
    background: #333;
    letter-spacing: 1px;
    border: 1px solid transparent;
    color: #fff;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
    cursor: pointer;
    font-weight: 600;
    text-transform: uppercase;
    margin-right: -15px;
    transition: all 0.2s ease-in-out;
}
  
.avatar-upload .avatar-edit input + label:hover
{
    background: #DFA342;
    border-color: #DFA342;
}
  
.avatar-upload .avatar-preview
{
    width: 192px;
    height: 192px;
    position: relative;
    border-radius: 100%;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    border: 6px solid #f8f8f8;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
  
.logo 
{
    width: 250px;
    margin: 0 auto;
    margin-bottom: 70px;
}

/* BUTTONS */
form .btn-custom
{
    display: inline-block;
    font-weight: 500;
    text-align: center;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    padding: 0.5rem 1rem;
    text-transform: uppercase;
    font-size: 15px;
    text-shadow: 0 1px 3px rgba(0,0,0,0.3);
    letter-spacing: 2px;
    transition: all 0.3s;
    border-radius: 3px;
}

form .btn-custom-form:hover
{
    transform: scale(1.1);
    transition: all 0.3s;
}

/* LETRAS */
form h1, form h2, form h3, form h4, form h5, form h6, form p, form label
{
    font-family: "Montserrat", sans-serif;
    color: black;
}

.title
{
    font-family: "Montserrat", sans-serif;
    text-align: center;
    font-weight: bold;

    font-size: 1.5rem;
    margin-bottom: 1.2rem;
}

.register-info .title
{
    line-height: 23px;
}

.info
{
    font-family: "Montserrat", sans-serif;
    text-align: center;
    font-weight: bold;
    text-transform: uppercase;

    letter-spacing: 1px;
    margin-bottom: 20px;
}

.letter
{
    font-family: "Montserrat", sans-serif;
    text-align: center;
    font-weight: bold;
    text-transform: uppercase;

    font-size: 15px;
    letter-spacing: 1px;
}

.letter.info
{
    font-size: 10px;
}